Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Intersection Class Reference

交差 More...

`#include <Intersection.h>`

List of all members.

## Public Member Functions
| Intersection ()
| コンストラクタ
void | set (const Vector3 &position, const Vector3 &refrection)
| 設定
void | reverse ()
| 反転
bool | operator== (const Intersection &compare) const
| 比較
void | setPosition (const Vector3 &position)
| 交差位置の設定
const Vector3 & | getPosition () const
| 交差位置の取得
void | setRefrection (const Vector3 &refrection)
| 反射の設定
const Vector3 & | getRefrection () const
| 反射の取得

## Detailed Description

交差

このクラスは継承しないで下さい。

Definition at line 38 of file Intersection.h.

## Constructor & Destructor Documentation

Lamp::Intersection::Intersection | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 45 of file Intersection.h.

## Member Function Documentation

const Vector3& Lamp::Intersection::getPosition | ( |  | ) | const`[inline]`

| 交差位置の取得 Returns: 交差位置 Definition at line 87 of file Intersection.h. Referenced by Lamp::IntersectionResult::getAveragePosition().

const Vector3& Lamp::Intersection::getRefrection | ( |  | ) | const`[inline]`

| 反射の取得 Returns: 反射 Definition at line 100 of file Intersection.h. Referenced by Lamp::IntersectionResult::getAverageRefrection(), and Lamp::IntersectionResult::getMaxRefrection().

bool Lamp::Intersection::operator== | ( | const Intersection & | compare | ) | const`[inline]`

  | 比較 Parameters:
  compare | 比較対象
Returns: 同じ値であればtrueを返す Definition at line 71 of file Intersection.h. References position_, and refrection_.

void Lamp::Intersection::set | ( | const Vector3 & | position,
|  | const Vector3 & | refrection
| ) | `[inline]`

  | 設定 Parameters:
  position | 交差位置
  refrection | 反射
Definition at line 53 of file Intersection.h. Referenced by Lamp::SphereIntersection::intersect().

void Lamp::Intersection::setPosition | ( | const Vector3 & | position | ) | `[inline]`

  | 交差位置の設定 Parameters:
  position | 交差位置
Definition at line 81 of file Intersection.h.

void Lamp::Intersection::setRefrection | ( | const Vector3 & | refrection | ) | `[inline]`

  | 反射の設定 Parameters:
  refrection | 反射
Definition at line 94 of file Intersection.h.

The documentation for this class was generated from the following file:

- Intersection.h